/*
 * Copyright (C) 2010 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by Mikkel Kamstrup Erlandsen <mikkel.kamstrup@gmail.com>
 *
 */

namespace Unity.SamplePlace {

  /* Canonical schema for the results model shared with the Unity shell */
  public enum ResultsColumn
  {
    URI = 0,
    ICON_HINT,
    GROUP_ID,
    MIMETYPE,
    DISPLAY_NAME,
    COMMENT
  }
  
  /* Canonical schema for the sections model shared with the Unity shell */
  public enum SectionsColumn
  {
    DISPLAY_NAME = 0,
    ICON_HINT
  }
  
  /* Place specific set of sections. The enum value maps to the row index
   * in the sections model */
  public enum Section
  {
    ALL_STUFF = 0,
    MY_STUFF,
    YOUR_STUFF,
    LAST_SECTION
  }
  
  /* Canonical schema for the groups model shared with the Unity shell */
  public enum GroupsColumn
  {
    RENDERER = 0,
    DISPLAY_NAME,
    ICON_HINT
  }
  
  /* Place specific set of groups. The enum value maps to the row index in
   * the groups model */
  public enum Group
  {
    GROUP_ONE,
    GROUP_TWO
  }

} /* End namespace Unity.SamplePlace */

